<?php
defined( 'ABSPATH' ) or die();

add_filter( 'line/iconpicker_params', function( $params ) {
	$params[] = array(
		'type'        => 'iconpicker',
		'heading'     => esc_html__( 'Icon', 'nanosoft' ),
		'param_name'  => 'icon_etline',
		'value'       => '', // default value to backend editor admin_label
		'description' => esc_html__( 'Select icon from library.', 'nanosoft' ),
		'settings'    => array(
			'emptyIcon'    => false,
			'type'         => 'etline',
			'iconsPerPage' => 4000
		),
		'dependency' => array(
			'element' => 'type',
			'value'   => 'etline',
		)
	);

	$params[] = array(
		'type'        => 'iconpicker',
		'heading'     => esc_html__( 'Icon', 'nanosoft' ),
		'param_name'  => 'icon_simpleline',
		'value'       => '', // default value to backend editor admin_label
		'description' => esc_html__( 'Select icon from library.', 'nanosoft' ),
		'settings'    => array(
			'emptyIcon'    => false,
			'type'         => 'simpleline',
			'iconsPerPage' => 4000
		),
		'dependency' => array(
			'element' => 'type',
			'value'   => 'simpleline',
		)
	);

	return $params;
} );

add_filter( 'line/iconpicker_types_dropdown', function( $types ) {
	$types[esc_html__( 'Elegent Theme LineIcons', 'nanosoft' )] = 'etline';
	$types[esc_html__( 'Simple Line Icons', 'nanosoft' )] = 'simpleline';

	return $types;
} );

add_filter( 'vc_iconpicker-type-etline', function( $icons ) {
	return array_merge( $icons, array(
		array( 'icon-mobile' => 'icon-mobile' ),
		array( 'icon-laptop' => 'icon-laptop' ),
		array( 'icon-desktop' => 'icon-desktop' ),
		array( 'icon-tablet' => 'icon-tablet' ),
		array( 'icon-phone' => 'icon-phone' ),
		array( 'icon-document' => 'icon-document' ),
		array( 'icon-documents' => 'icon-documents' ),
		array( 'icon-search' => 'icon-search' ),
		array( 'icon-clipboard' => 'icon-clipboard' ),
		array( 'icon-newspaper' => 'icon-newspaper' ),
		array( 'icon-notebook' => 'icon-notebook' ),
		array( 'icon-book-open' => 'icon-book-open' ),
		array( 'icon-browser' => 'icon-browser' ),
		array( 'icon-calendar' => 'icon-calendar' ),
		array( 'icon-presentation' => 'icon-presentation' ),
		array( 'icon-picture' => 'icon-picture' ),
		array( 'icon-pictures' => 'icon-pictures' ),
		array( 'icon-video' => 'icon-video' ),
		array( 'icon-camera' => 'icon-camera' ),
		array( 'icon-printer' => 'icon-printer' ),
		array( 'icon-toolbox' => 'icon-toolbox' ),
		array( 'icon-briefcase' => 'icon-briefcase' ),
		array( 'icon-wallet' => 'icon-wallet' ),
		array( 'icon-gift' => 'icon-gift' ),
		array( 'icon-bargraph' => 'icon-bargraph' ),
		array( 'icon-grid' => 'icon-grid' ),
		array( 'icon-expand' => 'icon-expand' ),
		array( 'icon-focus' => 'icon-focus' ),
		array( 'icon-edit' => 'icon-edit' ),
		array( 'icon-adjustments' => 'icon-adjustments' ),
		array( 'icon-ribbon' => 'icon-ribbon' ),
		array( 'icon-hourglass' => 'icon-hourglass' ),
		array( 'icon-lock' => 'icon-lock' ),
		array( 'icon-megaphone' => 'icon-megaphone' ),
		array( 'icon-shield' => 'icon-shield' ),
		array( 'icon-trophy' => 'icon-trophy' ),
		array( 'icon-flag' => 'icon-flag' ),
		array( 'icon-map' => 'icon-map' ),
		array( 'icon-puzzle' => 'icon-puzzle' ),
		array( 'icon-basket' => 'icon-basket' ),
		array( 'icon-envelope' => 'icon-envelope' ),
		array( 'icon-streetsign' => 'icon-streetsign' ),
		array( 'icon-telescope' => 'icon-telescope' ),
		array( 'icon-gears' => 'icon-gears' ),
		array( 'icon-key' => 'icon-key' ),
		array( 'icon-paperclip' => 'icon-paperclip' ),
		array( 'icon-attachment' => 'icon-attachment' ),
		array( 'icon-pricetags' => 'icon-pricetags' ),
		array( 'icon-lightbulb' => 'icon-lightbulb' ),
		array( 'icon-layers' => 'icon-layers' ),
		array( 'icon-pencil' => 'icon-pencil' ),
		array( 'icon-tools' => 'icon-tools' ),
		array( 'icon-tools-2' => 'icon-tools-2' ),
		array( 'icon-scissors' => 'icon-scissors' ),
		array( 'icon-paintbrush' => 'icon-paintbrush' ),
		array( 'icon-magnifying-glass' => 'icon-magnifying-glass' ),
		array( 'icon-circle-compass' => 'icon-circle-compass' ),
		array( 'icon-linegraph' => 'icon-linegraph' ),
		array( 'icon-mic' => 'icon-mic' ),
		array( 'icon-strategy' => 'icon-strategy' ),
		array( 'icon-beaker' => 'icon-beaker' ),
		array( 'icon-caution' => 'icon-caution' ),
		array( 'icon-recycle' => 'icon-recycle' ),
		array( 'icon-anchor' => 'icon-anchor' ),
		array( 'icon-profile-male' => 'icon-profile-male' ),
		array( 'icon-profile-female' => 'icon-profile-female' ),
		array( 'icon-bike' => 'icon-bike' ),
		array( 'icon-wine' => 'icon-wine' ),
		array( 'icon-hotairballoon' => 'icon-hotairballoon' ),
		array( 'icon-globe' => 'icon-globe' ),
		array( 'icon-genius' => 'icon-genius' ),
		array( 'icon-map-pin' => 'icon-map-pin' ),
		array( 'icon-dial' => 'icon-dial' ),
		array( 'icon-chat' => 'icon-chat' ),
		array( 'icon-heart' => 'icon-heart' ),
		array( 'icon-cloud' => 'icon-cloud' ),
		array( 'icon-upload' => 'icon-upload' ),
		array( 'icon-download' => 'icon-download' ),
		array( 'icon-target' => 'icon-target' ),
		array( 'icon-hazardous' => 'icon-hazardous' ),
		array( 'icon-piechart' => 'icon-piechart' ),
		array( 'icon-speedometer' => 'icon-speedometer' ),
		array( 'icon-global' => 'icon-global' ),
		array( 'icon-compass' => 'icon-compass' ),
		array( 'icon-lifesaver' => 'icon-lifesaver' ),
		array( 'icon-clock' => 'icon-clock' ),
		array( 'icon-aperture' => 'icon-aperture' ),
		array( 'icon-quote' => 'icon-quote' ),
		array( 'icon-scope' => 'icon-scope' ),
		array( 'icon-alarmclock' => 'icon-alarmclock' ),
		array( 'icon-refresh' => 'icon-refresh' ),
		array( 'icon-happy' => 'icon-happy' ),
		array( 'icon-sad' => 'icon-sad' ),
		array( 'icon-facebook' => 'icon-facebook' ),
		array( 'icon-twitter' => 'icon-twitter' ),
		array( 'icon-googleplus' => 'icon-googleplus' ),
		array( 'icon-rss' => 'icon-rss' ),
		array( 'icon-tumblr' => 'icon-tumblr' ),
		array( 'icon-linkedin' => 'icon-linkedin' ),
		array( 'icon-dribbble' => 'icon-dribbble' ),
	) );
} );

add_filter( 'vc_iconpicker-type-simpleline', function( $icons ) {
	return array_merge( $icons, array(
		array( 'sl-user' => 'sl-user' ),
		array( 'sl-people' => 'sl-people' ),
		array( 'sl-user-female' => 'sl-user-female' ),
		array( 'sl-user-follow' => 'sl-user-follow' ),
		array( 'sl-user-following' => 'sl-user-following' ),
		array( 'sl-user-unfollow' => 'sl-user-unfollow' ),
		array( 'sl-login' => 'sl-login' ),
		array( 'sl-logout' => 'sl-logout' ),
		array( 'sl-emotsmile' => 'sl-emotsmile' ),
		array( 'sl-phone' => 'sl-phone' ),
		array( 'sl-call-end' => 'sl-call-end' ),
		array( 'sl-call-in' => 'sl-call-in' ),
		array( 'sl-call-out' => 'sl-call-out' ),
		array( 'sl-map' => 'sl-map' ),
		array( 'sl-location-pin' => 'sl-location-pin' ),
		array( 'sl-direction' => 'sl-direction' ),
		array( 'sl-directions' => 'sl-directions' ),
		array( 'sl-compass' => 'sl-compass' ),
		array( 'sl-layers' => 'sl-layers' ),
		array( 'sl-menu' => 'sl-menu' ),
		array( 'sl-list' => 'sl-list' ),
		array( 'sl-options-vertical' => 'sl-options-vertical' ),
		array( 'sl-options' => 'sl-options' ),
		array( 'sl-arrow-down' => 'sl-arrow-down' ),
		array( 'sl-arrow-left' => 'sl-arrow-left' ),
		array( 'sl-arrow-right' => 'sl-arrow-right' ),
		array( 'sl-arrow-up' => 'sl-arrow-up' ),
		array( 'sl-arrow-up-circle' => 'sl-arrow-up-circle' ),
		array( 'sl-arrow-left-circle' => 'sl-arrow-left-circle' ),
		array( 'sl-arrow-right-circle' => 'sl-arrow-right-circle' ),
		array( 'sl-arrow-down-circle' => 'sl-arrow-down-circle' ),
		array( 'sl-check' => 'sl-check' ),
		array( 'sl-clock' => 'sl-clock' ),
		array( 'sl-plus' => 'sl-plus' ),
		array( 'sl-minus' => 'sl-minus' ),
		array( 'sl-close' => 'sl-close' ),
		array( 'sl-exclamation' => 'sl-exclamation' ),
		array( 'sl-organization' => 'sl-organization' ),
		array( 'sl-trophy' => 'sl-trophy' ),
		array( 'sl-screen-smartphone' => 'sl-screen-smartphone' ),
		array( 'sl-screen-desktop' => 'sl-screen-desktop' ),
		array( 'sl-plane' => 'sl-plane' ),
		array( 'sl-notebook' => 'sl-notebook' ),
		array( 'sl-mustache' => 'sl-mustache' ),
		array( 'sl-mouse' => 'sl-mouse' ),
		array( 'sl-magnet' => 'sl-magnet' ),
		array( 'sl-energy' => 'sl-energy' ),
		array( 'sl-disc' => 'sl-disc' ),
		array( 'sl-cursor' => 'sl-cursor' ),
		array( 'sl-cursor-move' => 'sl-cursor-move' ),
		array( 'sl-crop' => 'sl-crop' ),
		array( 'sl-chemistry' => 'sl-chemistry' ),
		array( 'sl-speedometer' => 'sl-speedometer' ),
		array( 'sl-shield' => 'sl-shield' ),
		array( 'sl-screen-tablet' => 'sl-screen-tablet' ),
		array( 'sl-magic-wand' => 'sl-magic-wand' ),
		array( 'sl-hourglass' => 'sl-hourglass' ),
		array( 'sl-graduation' => 'sl-graduation' ),
		array( 'sl-ghost' => 'sl-ghost' ),
		array( 'sl-game-controller' => 'sl-game-controller' ),
		array( 'sl-fire' => 'sl-fire' ),
		array( 'sl-eyeglass' => 'sl-eyeglass' ),
		array( 'sl-envelope-open' => 'sl-envelope-open' ),
		array( 'sl-envelope-letter' => 'sl-envelope-letter' ),
		array( 'sl-bell' => 'sl-bell' ),
		array( 'sl-badge' => 'sl-badge' ),
		array( 'sl-anchor' => 'sl-anchor' ),
		array( 'sl-wallet' => 'sl-wallet' ),
		array( 'sl-vector' => 'sl-vector' ),
		array( 'sl-speech' => 'sl-speech' ),
		array( 'sl-puzzle' => 'sl-puzzle' ),
		array( 'sl-printer' => 'sl-printer' ),
		array( 'sl-present' => 'sl-present' ),
		array( 'sl-playlist' => 'sl-playlist' ),
		array( 'sl-pin' => 'sl-pin' ),
		array( 'sl-picture' => 'sl-picture' ),
		array( 'sl-handbag' => 'sl-handbag' ),
		array( 'sl-globe-alt' => 'sl-globe-alt' ),
		array( 'sl-globe' => 'sl-globe' ),
		array( 'sl-folder-alt' => 'sl-folder-alt' ),
		array( 'sl-folder' => 'sl-folder' ),
		array( 'sl-film' => 'sl-film' ),
		array( 'sl-feed' => 'sl-feed' ),
		array( 'sl-drop' => 'sl-drop' ),
		array( 'sl-drawer' => 'sl-drawer' ),
		array( 'sl-docs' => 'sl-docs' ),
		array( 'sl-doc' => 'sl-doc' ),
		array( 'sl-diamond' => 'sl-diamond' ),
		array( 'sl-cup' => 'sl-cup' ),
		array( 'sl-calculator' => 'sl-calculator' ),
		array( 'sl-bubbles' => 'sl-bubbles' ),
		array( 'sl-briefcase' => 'sl-briefcase' ),
		array( 'sl-book-open' => 'sl-book-open' ),
		array( 'sl-basket-loaded' => 'sl-basket-loaded' ),
		array( 'sl-basket' => 'sl-basket' ),
		array( 'sl-bag' => 'sl-bag' ),
		array( 'sl-action-undo' => 'sl-action-undo' ),
		array( 'sl-action-redo' => 'sl-action-redo' ),
		array( 'sl-wrench' => 'sl-wrench' ),
		array( 'sl-umbrella' => 'sl-umbrella' ),
		array( 'sl-trash' => 'sl-trash' ),
		array( 'sl-tag' => 'sl-tag' ),
		array( 'sl-support' => 'sl-support' ),
		array( 'sl-frame' => 'sl-frame' ),
		array( 'sl-size-fullscreen' => 'sl-size-fullscreen' ),
		array( 'sl-size-actual' => 'sl-size-actual' ),
		array( 'sl-shuffle' => 'sl-shuffle' ),
		array( 'sl-share-alt' => 'sl-share-alt' ),
		array( 'sl-share' => 'sl-share' ),
		array( 'sl-rocket' => 'sl-rocket' ),
		array( 'sl-question' => 'sl-question' ),
		array( 'sl-pie-chart' => 'sl-pie-chart' ),
		array( 'sl-pencil' => 'sl-pencil' ),
		array( 'sl-note' => 'sl-note' ),
		array( 'sl-loop' => 'sl-loop' ),
		array( 'sl-home' => 'sl-home' ),
		array( 'sl-grid' => 'sl-grid' ),
		array( 'sl-graph' => 'sl-graph' ),
		array( 'sl-microphone' => 'sl-microphone' ),
		array( 'sl-music-tone-alt' => 'sl-music-tone-alt' ),
		array( 'sl-music-tone' => 'sl-music-tone' ),
		array( 'sl-earphones-alt' => 'sl-earphones-alt' ),
		array( 'sl-earphones' => 'sl-earphones' ),
		array( 'sl-equalizer' => 'sl-equalizer' ),
		array( 'sl-like' => 'sl-like' ),
		array( 'sl-dislike' => 'sl-dislike' ),
		array( 'sl-control-start' => 'sl-control-start' ),
		array( 'sl-control-rewind' => 'sl-control-rewind' ),
		array( 'sl-control-play' => 'sl-control-play' ),
		array( 'sl-control-pause' => 'sl-control-pause' ),
		array( 'sl-control-forward' => 'sl-control-forward' ),
		array( 'sl-control-end' => 'sl-control-end' ),
		array( 'sl-volume-1' => 'sl-volume-1' ),
		array( 'sl-volume-2' => 'sl-volume-2' ),
		array( 'sl-volume-off' => 'sl-volume-off' ),
		array( 'sl-calendar' => 'sl-calendar' ),
		array( 'sl-bulb' => 'sl-bulb' ),
		array( 'sl-chart' => 'sl-chart' ),
		array( 'sl-ban' => 'sl-ban' ),
		array( 'sl-bubble' => 'sl-bubble' ),
		array( 'sl-camrecorder' => 'sl-camrecorder' ),
		array( 'sl-camera' => 'sl-camera' ),
		array( 'sl-cloud-download' => 'sl-cloud-download' ),
		array( 'sl-cloud-upload' => 'sl-cloud-upload' ),
		array( 'sl-envelope' => 'sl-envelope' ),
		array( 'sl-eye' => 'sl-eye' ),
		array( 'sl-flag' => 'sl-flag' ),
		array( 'sl-heart' => 'sl-heart' ),
		array( 'sl-info' => 'sl-info' ),
		array( 'sl-key' => 'sl-key' ),
		array( 'sl-link' => 'sl-link' ),
		array( 'sl-lock' => 'sl-lock' ),
		array( 'sl-lock-open' => 'sl-lock-open' ),
		array( 'sl-magnifier' => 'sl-magnifier' ),
		array( 'sl-magnifier-add' => 'sl-magnifier-add' ),
		array( 'sl-magnifier-remove' => 'sl-magnifier-remove' ),
		array( 'sl-paper-clip' => 'sl-paper-clip' ),
		array( 'sl-paper-plane' => 'sl-paper-plane' ),
		array( 'sl-power' => 'sl-power' ),
		array( 'sl-refresh' => 'sl-refresh' ),
		array( 'sl-reload' => 'sl-reload' ),
		array( 'sl-settings' => 'sl-settings' ),
		array( 'sl-star' => 'sl-star' ),
		array( 'sl-symbol-female' => 'sl-symbol-female' ),
		array( 'sl-symbol-male' => 'sl-symbol-male' ),
		array( 'sl-target' => 'sl-target' ),
		array( 'sl-credit-card' => 'sl-credit-card' ),
		array( 'sl-paypal' => 'sl-paypal' ),
		array( 'sl-social-tumblr' => 'sl-social-tumblr' ),
		array( 'sl-social-twitter' => 'sl-social-twitter' ),
		array( 'sl-social-facebook' => 'sl-social-facebook' ),
		array( 'sl-social-instagram' => 'sl-social-instagram' ),
		array( 'sl-social-linkedin' => 'sl-social-linkedin' ),
		array( 'sl-social-pinterest' => 'sl-social-pinterest' ),
		array( 'sl-social-github' => 'sl-social-github' ),
		array( 'sl-social-google' => 'sl-social-google' ),
		array( 'sl-social-reddit' => 'sl-social-reddit' ),
		array( 'sl-social-skype' => 'sl-social-skype' ),
		array( 'sl-social-dribbble' => 'sl-social-dribbble' ),
		array( 'sl-social-behance' => 'sl-social-behance' ),
		array( 'sl-social-foursqare' => 'sl-social-foursqare' ),
		array( 'sl-social-soundcloud' => 'sl-social-soundcloud' ),
		array( 'sl-social-spotify' => 'sl-social-spotify' ),
		array( 'sl-social-stumbleupon' => 'sl-social-stumbleupon' ),
		array( 'sl-social-youtube' => 'sl-social-youtube' ),
		array( 'sl-social-dropbox' => 'sl-social-dropbox' ),
	) );
} );

add_action( 'vc_backend_editor_enqueue_js_css', function() {
	wp_enqueue_style( 'et-line-font', get_template_directory_uri() . '/assets/css/components.css' );
	wp_enqueue_style( 'simple-line-icons', get_template_directory_uri() . '/assets/css/components.css' );
} );